Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001242KdenliveRenderingpublic2009-11-02 17:342010-02-20 08:17
ReporterGranjow 
Assigned Toddennedy 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platform32bitOSOS Version
Product VersionRecent git 
Target VersionFixed in Version0.7.7 
Summary0001242: Rendering fails for xvid and mpeg4
DescriptionSee below.

kdenlive from svn today, melt too. ffmpeg from svn, about 1 week ago.

What additional information is required?
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships
has duplicate 0001250closedj-b-m Rendering fails at 99% 
child of 0001282closedddennedy Rendering aborts at the end with a buffer overflow when rendering some formats 

-  Notes
(0004247)
Granjow (developer)
2009-11-06 16:57

Okay, gdb has better output ...

(gdb) file /usr/bin/kdenlive_render
Reading symbols from /usr/bin/kdenlive_render...done.
(gdb) r -kuiserver /usr/bin/melt /home/simon/.kde/share/apps/kdenlive/profiles/customprofile0 avformat - /data/video/Fighting3/scripts/Intro-Xvid.sh.mlt /data/video/Fighting3/Intro.avi acodec=libmp3lame ab=128k ar=44100 vcodec=libxvid minrate=0 b=600k aspect=@140/79 mbd=2 trellis=1 mv4=1 pass=2
Starting program: /usr/bin/kdenlive_render -kuiserver /usr/bin/melt /home/simon/.kde/share/apps/kdenlive/profiles/customprofile0 avformat - /data/video/Fighting3/scripts/Intro-Xvid.sh.mlt /data/video/Fighting3/Intro.avi acodec=libmp3lame ab=128k ar=44100 vcodec=libxvid minrate=0 b=600k aspect=@140/79 mbd=2 trellis=1 mv4=1 pass=2
[Thread debugging using libthread_db enabled]
//STARTING RENDERING: false , true , "/usr/bin/melt" , "/home/simon/.kde/share/apps/kdenlive/profiles/customprofile0" , "avformat" , "-" , "/data/video/Fighting3/scripts/Intro-Xvid.sh.mlt" , "/data/video/Fighting3/Intro.avi" , () , ("acodec=libmp3lame", "ab=128k", "ar=44100", "vcodec=libxvid", "minrate=0", "b=600k", "aspect=@140/79", "mbd=2", "trellis=1", "mv4=1", "pass=1") , -1 , -1
[New Thread 0xb60dab70 (LWP 29339)]
Started render process: "/usr/bin/melt" "/data/video/Fighting3/scripts/Intro-Xvid.sh.mlt -profile /home/simon/.kde/share/apps/kdenlive/profiles/customprofile0 -consumer avformat:/data/video/Fighting3/Intro.avi progress=1 acodec=libmp3lame ab=128k ar=44100 vcodec=libxvid minrate=0 b=600k aspect=@140/79 mbd=2 trellis=1 mv4=1 pass=1"
*** glibc detected *** /usr/bin/melt: free(): invalid pointer: 0x0847d3c0 ***
======= Backtrace: =========
/lib/i686/cmov/libc.so.6[0xb7eaa8b4]
/lib/i686/cmov/libc.so.6[0xb7eabf83]
/lib/i686/cmov/libc.so.6(cfree+0x6d)[0xb7eaefad]
/usr/lib/libxvidcore.so.4[0xb6a58c57]
/usr/lib/libxvidcore.so.4[0xb6a1b7b7]
/usr/lib/libxvidcore.so.4[0xb69fb416]
/usr/lib/libxvidcore.so.4(xvid_encore+0x7b)[0xb6a0005b]
/usr/lib/i686/cmov/libavcodec.so.52(ff_xvid_encode_close+0x31)[0xb70691b8]
======= Memory map: ========
08048000-0804d000 r-xp 00000000 08:06 1238097 /usr/bin/melt
0804d000-0804e000 rw-p 00004000 08:06 1238097 /usr/bin/melt
0804e000-09a68000 rw-p 00000000 00:00 0 [heap]
aa80f000-aaebb000 rw-p 00000000 00:00 0
aaebb000-aaecc000 r--p 00000000 08:06 1892692 /usr/local/share/fonts/t/trajanpro_regular.otf
aaecc000-b1c00000 rw-p 00000000 00:00 0
b1c00000-b1cb7000 rw-p 00000000 00:00 0
b1cb7000-b1d00000 ---p 00000000 00:00 0
b1d11000-b2b02000 rw-p 00000000 00:00 0
b2b05000-b2c87000 rw-p 00000000 00:00 0
b2c87000-b2d13000 r--p 00000000 08:06 1622175 /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans-Bold.ttf
b2d13000-b2d64000 r--p 00000000 08:06 1622190 /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans-ExtraLight.ttf
b2d64000-b2dfc000 r--p 00000000 08:06 1622170 /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf
b2dfc000-b2dfe000 r-xp 00000000 08:06 213177 /usr/lib/libwacomcfg.so.0.0.1
b2dfe000-b2dff000 rw-p 00001000 08:06 213177 /usr/lib/libwacomcfg.so.0.0.1
b2dff000-b2e36000 r-xp 00000000 08:06 557304 /lib/libdbus-1.so.3.4.0
b2e36000-b2e37000 r--p 00037000 08:06 557304 /lib/libdbus-1.so.3.4.0
b2e37000-b2e38000 rw-p 00038000 08:06 557304 /lib/libdbus-1.so.3.4.0
b2e38000-b2f4c000 r-xp 00000000 08:06 1238729 /usr/lib/libQtNetwork.so.4.5.3
b2f4c000-b2f50000 rw-p 00114000 08:06 1238729 /usr/lib/libQtNetwork.so.4.5.3
b2f50000-b2fc2000 r-xp 00000000 08:06 1237363 /usr/lib/libQtDBus.so.4.5.3
b2fc2000-b2fc4000 rw-p 00071000 08:06 1237363 /usr/lib/libQtDBus.so.4.5.3
b2fc4000-b31f6000 r-xp 00000000 08:06 1238671 /usr/lib/libkdecore.so.5.3.0
b31f6000-b3201000 rw-p 00231000 08:06 1238671 /usr/lib/libkdecore.so.5.3.0
b3201000-b356f000 r-xp 00000000 08:06 1238542 /usr/lib/libkdeui.so.5.3.0
b356f000-b3587000 rw-p 0036e000 08:06 1238542 /usr/lib/libkdeui.so.5.3.0
b3587000-b3588000 rw-p 00000000 00:00 0
b35a7000-b35d8000 r-xp 00000000 08:06 1728738 /usr/lib/kde4/plugins/styles/oxygen.so
b35d8000-b35d9000 rw-p 00030000 08:06 1728738 /usr/lib/kde4/plugins/styles/oxygen.so
b35d9000-b35f8000 r--p 00000000 08:06 1368394 /usr/share/locale/de/LC_MESSAGES/libc.mo
b35f8000-b361a000 r--s 00000000 08:06 1442476 /var/cache/fontconfig/365b55f210c0a22e9a19e35191240f32-x86.cache-2
b361a000-b361c000 r-xp 00000000 08:06 1255831 /usr/lib/gconv/UTF-16.so
b361c000-b361d000 r--p 00001000 08:06 1255831 /usr/lib/gconv/UTF-16.so
b361d000-b361e000 rw-p 00002000 08:06 1255831 /usr/lib/gconv/UTF-16.so
b361e000-b3625000 r--s 00000000 08:06 1253748 /usr/lib/gconv/gconv-modules.cache
b3625000-b3825000 r--p 00000000 08:06 1253788 /usr/lib/locale/locale-archive
b3825000-b3826000 ---p 00000000 00:00 0
b3826000-b40b8000 rw-p 00000000 00:00 0
b414a000-b41dc000 rw-p 00000000 00:00 0
b44b6000-b45da000 rw-p 00000000 00:00 0
b466c000-b4996000 rw-p 00000000 00:00 0
b4996000-b4997000 ---p 00000000 00:00 0
b4997000-b5197000 rw-p 00000000 00:00 0
b5197000-b5198000 r-xp 00000000 08:06 1762444 /usr/lib/frei0r-1/squareblur.so
b5198000-b5199000 rw-p 00000000 08:06 1762444 /usr/lib/frei0r-1/squareblur.so
b5199000-b5303000 r-xp 00000000 08:06 1238661 /usr/lib/libsamplerate.so.0.1.7
b5303000-b5304000 rw-p 00169000 08:06 1238661 /usr/lib/libsamplerate.so.0.1.7
b5306000-b530a000 r-xp 00000000 08:06 1240504 /usr/lib/libXtst.so.6.1.0
b530a000-b530b000 rw-p 00003000 08:06 1240504 /usr/lib/libXtst.so.6.1.0
b530b000-b5311000 r--s 00000000 08:06 1445073 /var/cache/fontconfig/945677eb7aeaf62f1d50efc3fb3ec7d8-x86.cache-2
b5311000-b5314000 r--s 00000000 08:06 1442590 /var/cache/fontconfig/6eb3985aa4124903f6ff08ba781cd364-x86.cache-2
b5314000-b531b000 r--s 00000000 08:06 1446601 /var/cache/fontconfig/6d41288fd70b0be22e8c3a91e032eec0-x86.cache-2
b531b000-b5323000 r--s 00000000 08:06 1445067 /var/cache/fontconfig/d52a8644073d54c13679302ca1180695-x86.cache-2
b5323000-b5325000 r-xp 00000000 08:06 1885702 /usr/lib/mlt/libmltresample.so
b5325000-b5326000 rw-p 00001000 08:06 1885702 /usr/lib/mlt/libmltresample.so
b5326000-b532a000 r-xp 00000000 08:06 1885678 /usr/lib/mlt/libmltvmfx.so
b532a000-b532b000 rw-p 00003000 08:06 1885678 /usr/lib/mlt/libmltvmfx.so
b532b000-b5336000 r-xp 00000000 08:06 1885700 /usr/lib/mlt/libmltxml.so
b5336000-b5337000 rw-p 0000a000 08:06 1885700 /usr/lib/mlt/libmltxml.so
b5337000-b533b000 r-xp 00000000 08:06 1885689 /usr/lib/mlt/libmltfrei0r.so
b533b000-b533c000 rw-p 00003000 08:06 1885689 /usr/lib/mlt/libmltfrei0r.so
b533c000-b5355000 r-xp 00000000 08:06 1240386 /usr/lib/libdv.so.4.0.3
b5355000-b5357000 rw-p 00019000 08:06 1240386 /usr/lib/libdv.so.4.0.3
b5357000-b5363000 rw-p 00000000 00:00 0
b5363000-b53dc000 r-xp 00000000 08:06 1237572 /usr/lib/libquicktime.so.1.0.0
b53dc000-b53df000 rw-p 00078000 08:06 1237572 /usr/lib/libquicktime.so.1.0.0
b53df000-b53e0000 rw-p 00000000 00:00 0
b53e0000-b53ea000 r-xp 00000000 08:06 1885697 /usr/lib/mlt/libmltmotion_est.so
b53ea000-b53eb000 rw-p 00009000 08:06 1885697 /usr/lib/mlt/libmltmotion_est.so
b53eb000-b53f2000 r-xp 00000000 08:06 1238406 /usr/lib/libvorbisfile.so.3.3.2
b53f2000-b53f3000 rw-p 00006000 08:06 1238406 /usr/lib/libvorbisfile.so.3.3.2
b53f3000-b53f5000 r-xp 00000000 08:06 1885680 /usr/lib/mlt/libmltvorbis.so
b53f5000-b53f6000 rw-p 00001000 08:06 1885680 /usr/lib/mlt/libmltvorbis.so
b53f6000-b53f9000 r-xp 00000000 08:06 1885687 /usr/lib/mlt/libmltmelt.so
b53f9000-b53fa000 rw-p 00002000 08:06 1885687 /usr/lib/mlt/libmltmelt.so
b53fa000-b53fe000 r-xp 00000000 08:06 1885676 /usr/lib/mlt/libmltdv.so
b53fe000-b53ff000 rw-p 00004000 08:06 1885676 /usr/lib/mlt/libmltdv.so
b53ff000-b5405000 r-xp 00000000 08:06 1237050 /usr/lib/libxcb-render.so.0.0.0
b5405000-b5406000 rw-p 00005000 08:06 1237050 /usr/lib/libxcb-render.so.0.0.0
b5406000-b5409000 r-xp 00000000 08:06 1240470 /usr/lib/libxcb-render-util.so.0.0.0
b5409000-b540a000 rw-p 00002000 08:06 1240470 /usr/lib/libxcb-render-util.so.0.0.0
b540a000-b5466000 r-xp 00000000 08:06 1239897 /usr/lib/libpixman-1.so.0.16.2
b5466000-b5468000 rw-p 0005c000 08:06 1239897 /usr/lib/libpixman-1.so.0.16.2
b5468000-b5480000 r-xp 00000000 08:06 557076 /lib/libselinux.so.1Rendering of "/data/video/Fighting3/Intro.avi" aborted, resulting video will probably be corrupted.
[Thread 0xb60dab70 (LWP 29339) exited]

Program exited normally.




(gdb) file /usr/bin/m
Display all 153 possibilities? (y or n)
(gdb) file /usr/bin/melt
Reading symbols from /usr/bin/melt...done.
(gdb) r /home/simon/.kde/share/apps/kdenlive/profiles/customprofile0 avformat - /data/video/Fighting3/scripts/Intro-Xvid.sh.mlt /data/video/Fighting3/Intro.avi acodec=libmp3lame ab=128k ar=44100 vcodec=libxvid minrate=0 b=600k aspect=@140/79 mbd=2 trellis=1 mv4=1 pass=2
Starting program: /usr/bin/melt /home/simon/.kde/share/apps/kdenlive/profiles/customprofile0 avformat - /data/video/Fighting3/scripts/Intro-Xvid.sh.mlt /data/video/Fighting3/Intro.avi acodec=libmp3lame ab=128k ar=44100 vcodec=libxvid minrate=0 b=600k aspect=@140/79 mbd=2 trellis=1 mv4=1 pass=2
[Thread debugging using libthread_db enabled]

Program received signal SIGSEGV, Segmentation fault.
mlt_properties_add (this=<value optimized out>, name=0xb7fbe4a4 "_unique_id") at mlt_properties.c:392
392 list->name[ list->count ] = strdup( name );
(gdb)
(0004248)
Granjow (developer)
2009-11-06 16:58

I previously uninstalled kdenlive, mlt, and ffmpeg, did a make clean and installed everything again. Still the same.
(0004290)
Granjow (developer)
2009-11-17 20:13

mlt 0.4.6 -> working
mlt 0.4.7 -> not working
(0004410)
ddennedy (developer)
2009-12-07 07:27

fixed in mlt git commit 7cc1360
(0004423)
Granjow (developer)
2009-12-09 17:23

Cool, thank you. :)

- Issue History
Date Modified Username Field Change
2009-11-02 17:34 Granjow New Issue
2009-11-02 17:34 Granjow Build/Install Method => Manual build from SVN
2009-11-06 16:57 Granjow Note Added: 0004247
2009-11-06 16:58 Granjow Additional Information Updated View Revisions
2009-11-06 16:58 Granjow Note Added: 0004248
2009-11-09 17:20 Granjow Platform => 32bit
2009-11-09 17:20 Granjow Product Version => Recent git
2009-11-17 20:12 Granjow Relationship added child of 0001282
2009-11-17 20:13 Granjow Note Added: 0004290
2009-12-07 07:27 ddennedy Note Added: 0004410
2009-12-07 07:27 ddennedy Status new => resolved
2009-12-07 07:27 ddennedy Resolution open => fixed
2009-12-07 07:27 ddennedy Assigned To => ddennedy
2009-12-09 15:19 j-b-m Relationship added has duplicate 0001250
2009-12-09 17:23 Granjow Note Added: 0004423
2010-02-02 10:34 j-b-m Fixed in Version => 0.7.7
2010-02-20 08:17 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker